Botan 2.19.5 Crypto and TLS for C&

Classes | Namespaces | Typedefs
rng.h File Reference
`#include <botan/secmem.h>`
`#include <botan/exceptn.h>`
`#include <botan/mutex.h>`
`#include <type_traits>`
`#include <chrono>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Botan::Hardware_RNG
class | Botan::Null_RNG
class | Botan::RandomNumberGenerator

## Namespaces
namespace | Botan

## Typedefs
typedef RandomNumberGenerator | Botan::RNG